# LXC


```
lxc_ifname: lxcnet
lxc_ifhwaddr: 02:96:15:70:5e:0e
lxc_ipv4_network: 10.10.10.0/24
lxc_ipv4_gw_addr: 10.10.10.1
lxc_ipv6_network: 2002:e:a:1::0/64
lxc_ipv6_gw_addr: 2002:e:a:1::1
lxc_use_netbox: false
lxc_dns: 9.9.9.9
#lxc_post_up_ip6:
#lxc_post_down_ip6:
#lxc_post_up_ip4:
#lxc_post_down_ip4:
lxc:
  - username: ipam
    name: ipam
    os: debian # https://images.linuxcontainers.org/
    os_release: bookworm
    os_variant: cloud
    state: started
    autostart: true
    ipv4_addr: 10.10.10.2
    ipv6_addr: 2002:e:a:1::2
    memory: 3G
    cpu: 200%
    mountpoints:
      - host: opt/
        container: opt/
        state: absent
      - host: home/
        container: home/
        params: "none bind,rw,create=dir 0 0"
      - host: srv/
        container: srv/
  - username: ubuntu_tst
    name: ubuntu
    os: ubuntu
    os_release: jammy
    os_variant: cloud
    state: absent
    ipv4_addr: 10.10.10.3
```
